Subject: Re: Bug#594510: emacs23-common: OpenPGP-signed message composition uses micalg=pgp-rmd160 instead of micalg=pgp-ripemd160
From: Rob Browning <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked], Daniel Kahn Gillmor <[email-masked]>
Date: Fri, 26 Nov 2010 13:58:18 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

[If possible, please preserve [email-masked] in any replies.]

Daniel Kahn Gillmor <[email-masked]> writes:

>
> /usr/share/emacs/23.1/lisp/epg.elc lists OpenPGP's digest algorithms
> as follows:
>
> (defconst epg-digest-algorithm-alist #3#)) ((1 . "MD5") (2 . "SHA1")
> (3 . "RMD160") (8 . "SHA256") (9 . "SHA384") (10 . "SHA512"))
>
> but the declaration for RIPEMD160 is wrong, according to the registry
> in RFC 4880.  It should be:
>
> (defconst epg-digest-algorithm-alist #3#)) ((1 . "MD5") (2 . "SHA1")
> (3 . "RIPEMD160") (8 . "SHA256") (9 . "SHA384") (10 . "SHA512"))
>
> This causes messages to be produced with a mismatched pgp-micalg entry
> in the Content-Type: line, which in turn causes some MUAs to fail to
> validate them.

Thanks
-- 
Rob Browning
rlb @defaultvalue.org and @debian.org
GPG as of 2002-11-03 14DD 432F AE39 534D B592 F9A0 25C8 D377 8C7E 73A4